Create health monitor#
ヘルスモニターを作成します。
📒注: 本APIは非推奨です。「Create Health Monitor」をご利用ください。
APIエンドポイント#
| リージョン | APIエンドポイント |
|---|---|
| 西日本リージョン3の場合 | https://networking.jp-west-3.cloud.global.fujitsu.com |
| 東日本リージョン3の場合 | https://networking.jp-east-3.cloud.global.fujitsu.com |
HTTPメソッドとURI#
POST
/v2.0/lbaas/healthmonitors
HTTPステータスコード#
正常時:201
エラー時:401, 404
リクエストパラメータの説明#
| 名前 | In | Type | デフォルト値 /必須指定 |
Description |
|---|---|---|---|---|
| admin_state_up | body | boolean | 任意 true |
リソースの管理状態 「up(true)」または「down(false)」が表示されます。 |
| delay | body | integer | 必須 | メンバーへプローブを送る時間間隔(秒単位) |
| expected_codes | body | string | 任意 200 |
メンバーが正常な場合に想定されるHTTPレスポンスステータスコード 以下のどれかが指定できます。 - 単独の値 例: 200 - 値のリスト 例: 200、202 - 値の範囲 例: 200-204 |
| healthmonitor | body | object | 必須 | ヘルスモニターオブジェクト |
| http_method | body | string | 必須 | ヘルスモニターがリクエストを送る際に利用するHTTPメソッド |
| max_retries | body | integer | 必須 | メンバーのステータスをINACTIVEに変更するまでのリトライ回数 有効な値は1~10です。 |
| pool_id | body | string | 必須 | プールID |
| project_id | body | string | 任意 | プロジェクトID(非推奨) |
| tenant_id | body | string | 必須 | プロジェクトID |
| timeout | body | integer | 必須 | 接続がタイムアウトするまでの最大待ち時間 delayより低い値を指定する必要があります。 |
| type | body | string | 必須 | ヘルスモニターのタイプ HTTP、HTTPS、TCPのどれかが指定できます。 |
| url_path | body | string | 任意 / |
バックエンドメンバーのヘルスチェックのためにモニターが送信するHTTPリクエストのパス スラッシュ("/")で始める必要があります。 |
レスポンスボディ(正常系)の説明#
| 名前 | Type | Description |
|---|---|---|
| admin_state_up | boolean | リソースの管理状態 「up(true)」または「down(false)」が表示されます。 |
| delay | integer | メンバーへプローブを送る時間間隔(秒単位) |
| expected_codes | string | メンバーが正常な場合に想定されるHTTPレスポンスステータスコード 以下のように返却されます。 - 単独の値 例: 200 - 値のリスト 例: 200、202 - 値の範囲 例: 200-204 |
| healthmonitor | object | ヘルスモニターオブジェクト |
| http_method | string | ヘルスモニターがリクエストを送る際に利用するHTTPメソッド |
| id | string | ヘルスモニターID |
| max_retries | integer | メンバーのステータスをINACTIVEに変更するまでのリトライ回数 有効な値は1~10です。 |
| pools | string | 関連付けられるプールのプールID |
| project_id | string | プロジェクトID |
| timeout | integer | 接続がタイムアウトするまでの最大待ち時間 delayより低い値を指定する必要があります。 |
| type | string | ヘルスモニターのタイプ 「HTTP」、「HTTPS」、「TCP」のどれかが表示されます。 |
| tenant_id | string | プロジェクトID |
| url_path | string | バックエンドメンバーのヘルスチェックのためにモニターが送信するHTTPリクエストのパス スラッシュ("/")で始めるパスが表示されます。 |
リクエスト例#
{ "healthmonitor": { "pool_id": "74aa2010-a59f-4d35-a436-60a6da882819", "admin_state_up": true, "delay": "1", "expected_codes": "200,201,202", "http_method": "GET", "max_retries": 5, "timeout": 1, "type": "HTTP", "url_path": "/index.html" } }
レスポンス例#
{ "healthmonitor": { "admin_state_up": true, "project_id": "eabfefa3fd1740a88a47ad98e132d238", "tenant_id": "eabfefa3fd1740a88a47ad98e132d238", "delay": 1, "expected_codes": "200,201,202", "max_retries": 5, "http_method": "GET", "timeout": 1, "pools": [ { "status": "ACTIVE", "status_description": null, "pool_id": "5a9a3e9e-d1aa-448e-af37-a70171f2a332" } ], "url_path": "/index.html", "type": "HTTP", "id": "b7633ade-24dc-4d72-8475-06aa22be5412" } }